#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires mecab dictionary)
#
Summary:	MeCab module for Perl
Summary(pl.UTF-8):	Moduł MeCab dla Perla
Name:		perl-mecab
Version:	0.996
Release:	16
License:	GPL v2 or LGPL v2.1 or BSD
Group:		Development/Languages/Perl
#Source0Download: http://code.google.com/p/mecab/downloads/list
Source0:	http://mecab.googlecode.com/files/mecab-perl-%{version}.tar.gz
# Source0-md5:	af03fd644dfdfa239c63ae6279bfc4ce
URL:		http://code.google.com/p/mecab/
BuildRequires:	libstdc++-devel
BuildRequires:	mecab-devel >= 0.996
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%{?with_tests:BuildRequires:	mecab-ipadic}
Requires:	mecab >= 0.996
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MeCab module for Perl.

%description -l pl.UTF-8
Moduł MeCab dla Perla.

%prep
%setup -q -n mecab-perl-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cxx}"
	OPTIMIZE="%{rpmcxxflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD COPYING README bindings.html
%{perl_vendorarch}/MeCab.pm
%dir %{perl_vendorarch}/auto/MeCab
%attr(755,root,root) %{perl_vendorarch}/auto/MeCab/MeCab.so
%changelog
* Sat Jun 29 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-mecab.git;a=log;h=master

* Sat Jun 29 2024 Jan Palus <atler@pld-linux.org> 32c859e
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 1711f61
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 2422fdc
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 471649d
- rebuild with perl 5.34.0

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> a3d1e84
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7813dc4
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 2fa098c
- rebuild with perl 5.30.0
- release 11 (by relup.sh)

* Thu Aug 30 2018 Jan Rękorajski <baggins@pld-linux.org> dc6dc44
- rebuild with perl 5.28.0
- release 10 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 7cff64b
- perl req/prov fix
- release 9 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> ab11e27
- rebuild with perl 5.26
- release 8 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 2dced8e
- rebuild with perl 5.24.0
- release 7 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 300a3d2
- release 6 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 141b4fc
- x32 rebuild
- release 5 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 5fc6366
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 4a237d2
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> c7fb3e8
- rebuild for perl 5.20
- release 3 (by relup.sh)

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 34dab15
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun Feb 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 1da37a0
- updated to 0.996

* Sat Jan 26 2013 Jakub Bogusz <qboosh@pld-linux.org> ff4dd4f
- requires mecab 0.995

* Sat Jan 26 2013 Jakub Bogusz <qboosh@pld-linux.org> cd588a5
- updated to 0.995

